uniform sampler2D texture;
varying vec3 normal;
varying vec3 position;
varying float PI;

void main(void)
{
    vec3 n  = normalize(normal);
    vec3 v  = normalize(position);

    vec3 r = (-2.0*dot(n, v))*n + v;

    float s = atan(r.x, -r.z) / (2.0 * PI) + 0.5;
    float t = 0.5 - asin(r.y) / PI;

	gl_FragColor = texture2D(texture, vec2(s,t));
}
