uniform vec3 lightDir;
uniform vec3 diffuse;
uniform vec3 highlight;
uniform float dim;
uniform float bright;
varying vec3 normal;

void main (void)
{
	float f = dot(lightDir, normalize(normal));
	vec3 color = diffuse*f;

	if (abs(f) < dim)
		color = vec3(0);
	else if (f > bright)
		color = color+highlight;

	gl_FragColor = vec4(color, 1);
}
